Package net.sourceforge.jiu.ops

# Class WrongParameterException

java.lang.Object
java.lang.Throwable
java.lang.Exception
net.sourceforge.jiu.ops.OperationFailedException
net.sourceforge.jiu.ops.WrongParameterException

All Implemented Interfaces:
  `Serializable`

public class WrongParameterException extends OperationFailedException
Exception class to indicate that an operation's parameter is of the wrong type, does not fall into a valid interval or a similar mistake.

Since:
  0.6.0
Author:
  Marco Schmidt
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`WrongParameterException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WrongParameterException

public WrongParameterException(String message)